
QGIS Application - Feature request #2517

Progressbar in Select by Location don't work

2010-03-07 09:23 AM - Alexander Bruy

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12577

Description

Add two layers to project and run Select by Location. After few minutes we have selection but progressbar always stay at 0%

Patch attached

Associated revisions

Revision aaf106cd - 2010-03-08 08:57 PM - cfarmer -

reactivate select by location progress bar. Fixes #2517; Thanks to alexbruy for the patch!

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13024 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision c902101f - 2010-03-08 08:57 PM - cfarmer -

reactivate select by location progress bar. Fixes #2517; Thanks to alexbruy for the patch!

git-svn-id: http://svn.osgeo.org/qgis/trunk@13024 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-03-08 11:59 AM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

Patch applied in commit:c902101f (SVN r13025).

Thanks to alexbruy for the fix!

-Carson

#2 - 2010-03-08 08:15 PM - dr -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

When I try to use this tool I get an error:

An error has occured while executing Python code:
Traceback (most recent call last):

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doSelectByLocation.py", line 52, in accept

    self.compute(inPoly, inPts, self.cmbModify.currentText())

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doSelectByLocation.py", line 70, in compute

    self.progressBar.setValue( self.progressBarValue() + 1 )

[[AttributeError]]: 'Dialog' object has no attribute 'progressBarValue'

#3 - 2010-03-08 11:03 PM - Alexander Bruy

Sorry, it's my fault. There is a typo in code

#4 - 2010-03-30 02:29 PM - cfarmer -

- Status changed from Feedback to Closed

- Resolution set to fixed

Fixed in trunk.

-Carson

Files

doSelectByLocation.py.diff 996 Bytes 2010-03-08 Alexander Bruy
